/*
 * Copyright 2015-2016 Andres Almiray. <aalmiray@yahoo.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.runestroicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Runestroicons implements Ikon {
    // latest is e80c
    RI_500PX("ri-500px", '\ue645'),
    RI_5STAR_SHADOW("ri-5star-shadow", '\ue6ea'),
    ACCESS("ri-access", '\ue600'),
    ACROBAT("ri-acrobat", '\ue6fa'),
    ADDRESS_BOOK("ri-address-book", '\ue7f2'),
    ADDTHIS("ri-addthis", '\ue63d'),
    ADOBE("ri-adobe", '\ue7cc'),
    ADOBE_AIR("ri-adobe-air", '\ue635'),
    AFTER_EFFECTS("ri-after-effects", '\ue687'),
    AIM("ri-aim", '\ue63f'),
    ALARM("ri-alarm", '\ue808'),
    AMAZON("ri-amazon", '\ue6fc'),
    ANDROID("ri-android", '\ue7d3'),
    ANGELLIST("ri-angellist", '\ue6cc'),
    ANGLE("ri-angle", '\ue738'),
    ANGLE2("ri-angle2", '\ue739'),
    ANGLE_DOUBLE("ri-angle-double", '\ue73a'),
    ANGULAR("ri-angular", '\ue6ca'),
    APPLE("ri-apple", '\ue7d6'),
    APP_LAUNCHER("ri-app-launcher", '\ue6e2'),
    APP_STORE("ri-app-store", '\ue7d8'),
    AQUARIUS("ri-aquarius", '\ue6be'),
    ARCHIVE("ri-archive", '\ue66c'),
    ARCHIVE_BOX("ri-archive-box", '\ue6f0'),
    ARIES("ri-aries", '\ue6b4'),
    ARROW("ri-arrow", '\ue737'),
    ARROWS("ri-arrows", '\ue768'),
    ARROW_SIGN("ri-arrow-sign", '\ue734'),
    ASTERISK("ri-asterisk", '\ue6ee'),
    ASTERISK2("ri-asterisk2", '\ue6f4'),
    AT("ri-at", '\ue6e8'),
    ATTACHMENT("ri-attachment", '\ue705'),
    ATTRACTION("ri-attraction", '\ue76d'),
    AUDITION("ri-audition", '\ue689'),
    BACKWARD_CIRCLE("ri-backward-circle", '\ue7b6'),
    BADGE("ri-badge", '\ue6f3'),
    BARCODE("ri-barcode", '\ue71c'),
    BASKET("ri-basket", '\ue71a'),
    BASKET2("ri-basket2", '\ue71b'),
    BATTERY_0("ri-battery-0", '\ue628'),
    BATTERY_1("ri-battery-1", '\ue629'),
    BATTERY_2("ri-battery-2", '\ue62a'),
    BATTERY_3("ri-battery-3", '\ue62b'),
    BATTERY_CHARGING("ri-battery-charging", '\ue62c'),
    BEHANCE("ri-behance", '\ue643'),
    BIN("ri-bin", '\ue741'),
    BING("ri-bing", '\ue698'),
    BIOHAZARD("ri-biohazard", '\ue6c4'),
    BITNAMI("ri-bitnami", '\ue7fa'),
    BLOGGER("ri-blogger", '\ue64b'),
    BLUERAY("ri-blueray", '\ue6f1'),
    BLUETOOTH("ri-bluetooth", '\ue695'),
    BOOK("ri-book", '\ue684'),
    BOOKM_BLK("ri-bookm-blk", '\ue729'),
    BOOKS("ri-books", '\ue66d'),
    BOOTSTRAP("ri-bootstrap", '\ue7d9'),
    BRIDGE("ri-bridge", '\ue68a'),
    BUCKET("ri-bucket", '\ue760'),
    BULLET("ri-bullet", '\ue6eb'),
    BUS("ri-bus", '\ue7eb'),
    BY("ri-by", '\ue748'),
    CAB("ri-cab", '\ue7ea'),
    CALCULATOR("ri-calculator", '\ue696'),
    CALENDAR("ri-calendar", '\ue66a'),
    CALENDAR_OPEN("ri-calendar-open", '\ue669'),
    CAMERA("ri-camera", '\ue7ba'),
    CAMERA_RETRO("ri-camera-retro", '\ue7b9'),
    CANCEL("ri-cancel", '\ue798'),
    CANCEL_CIRCLE("ri-cancel-circle", '\ue796'),
    CANCER("ri-cancer", '\ue6b7'),
    CAPRICORN("ri-capricorn", '\ue6bd'),
    CARD_CLUB("ri-card-club", '\ue67a'),
    CARD_DIAMOND("ri-card-diamond", '\ue67c'),
    CARD_HEART("ri-card-heart", '\ue67b'),
    CARD_SPADE("ri-card-spade", '\ue679'),
    CARET("ri-caret", '\ue73b'),
    CARET_CIRCLE("ri-caret-circle", '\ue73c'),
    CC("ri-cc", '\ue747'),
    CC_MASTERCARD("ri-cc-mastercard", '\ue70f'),
    CC_PAYPAL("ri-cc-paypal", '\ue710'),
    CC_VISA("ri-cc-visa", '\ue70e'),
    CELCIUS("ri-celcius", '\ue6c0'),
    CE_MARK("ri-ce-mark", '\ue683'),
    CHAR("ri-char", '\ue6c3'),
    CHAT("ri-chat", '\ue78a'),
    CHECKBOX_CHECKED("ri-checkbox-checked", '\ue779'),
    CHEVRON("ri-chevron", '\ue735'),
    CHEVRON_CIRCLE("ri-chevron-circle", '\ue736'),
    CHROME("ri-chrome", '\ue7aa'),
    CIRCLE("ri-circle", '\ue7db'),
    CIRCLEADD("ri-circleadd", '\ue792'),
    CIRCLEDELETE("ri-circledelete", '\ue794'),
    CIRCLESELECT("ri-circleselect", '\ue795'),
    CIRCLE_0("ri-circle-0", '\ue65d'),
    CIRCLE_1("ri-circle-1", '\ue65e'),
    CIRCLE_2("ri-circle-2", '\ue65f'),
    CIRCLE_3("ri-circle-3", '\ue660'),
    CIRCLE_4("ri-circle-4", '\ue661'),
    CIRCLE_5("ri-circle-5", '\ue662'),
    CIRCLE_6("ri-circle-6", '\ue663'),
    CIRCLE_7("ri-circle-7", '\ue664'),
    CIRCLE_8("ri-circle-8", '\ue665'),
    CIRCLE_9("ri-circle-9", '\ue666'),
    CIRCLE_ANGLE("ri-circle-angle", '\ue732'),
    CIRCLE_ARROW("ri-circle-arrow", '\ue730'),
    CIRCLE_ARROW_O("ri-circle-arrow-o", '\ue731'),
    CIRCLE_DOWNLOAD("ri-circle-download", '\ue677'),
    CIRCLE_FACEBOOK("ri-circle-facebook", '\ue781'),
    CIRCLE_GITHUB("ri-circle-github", '\ue79b'),
    CIRCLE_GOOGLEPLUS("ri-circle-googleplus", '\ue782'),
    CIRCLE_INSTAGRAM("ri-circle-instagram", '\ue783'),
    CIRCLE_LINKEDIN("ri-circle-linkedin", '\ue787'),
    CIRCLE_MAIL("ri-circle-mail", '\ue784'),
    CIRCLE_MINUS("ri-circle-minus", '\ue793'),
    CIRCLE_O("ri-circle-o", '\ue7dd'),
    CIRCLE_O_NOTCH("ri-circle-o-notch", '\ue765'),
    CIRCLE_PINTEREST("ri-circle-pinterest", '\ue786'),
    CIRCLE_SHARE("ri-circle-share", '\ue785'),
    CIRCLE_THINLINE("ri-circle-thinline", '\ue7dc'),
    CIRCLE_TWITTER("ri-circle-twitter", '\ue788'),
    CIRCLE_UPLOAD("ri-circle-upload", '\ue676'),
    CIRCLE_YOUTUBE("ri-circle-youtube", '\ue789'),
    CLOCK("ri-clock", '\ue772'),
    CLOUDY("ri-cloudy", '\ue6d9'),
    CODEPEN("ri-codepen", '\ue7a6'),
    CODERWALL("ri-coderwall", '\ue6d0'),
    COFFEE("ri-coffee", '\ue6d4'),
    COGS("ri-cogs", '\ue770'),
    COLOR_CC("ri-color-cc", '\ue634'),
    COLOURS("ri-colours", '\ue7d1'),
    COMMENT("ri-comment", '\ue78b'),
    COMMENT2("ri-comment2", '\ue7ef'),
    COMMENT_QUOTE("ri-comment-quote", '\ue78c'),
    COMPASS("ri-compass", '\ue809'),
    CONNECTION_WIFI("ri-connection-wifi", '\ue691'),
    CONSTRUCTION("ri-construction", '\ue771'),
    CONTACTS("ri-contacts", '\ue7b0'),
    COPY("ri-copy", '\ue707'),
    COPYRIGHT("ri-copyright", '\ue6b3'),
    CREATIVECLOUD("ri-creativecloud", '\ue6d6'),
    CREDITCARD("ri-creditcard", '\ue70d'),
    CSS3("ri-css3", '\ue75f'),
    CUT("ri-cut", '\ue706'),
    CUTLERY("ri-cutlery", '\ue7e7'),
    DATABASE("ri-database", '\ue674'),
    DECO_BULLET("ri-deco-bullet", '\ue6ec'),
    DELICIOUS("ri-delicious", '\ue648'),
    DESKTOP("ri-desktop", '\ue7e0'),
    DEVIANTART("ri-deviantart", '\ue7c7'),
    DICE_FIVE("ri-dice-five", '\ue77e'),
    DICE_FOUR("ri-dice-four", '\ue77d'),
    DICE_ONE("ri-dice-one", '\ue77a'),
    DICE_SIX("ri-dice-six", '\ue77f'),
    DICE_THREE("ri-dice-three", '\ue77c'),
    DICE_TWO("ri-dice-two", '\ue77b'),
    DIGG("ri-digg", '\ue64c'),
    DISAPPOINTED_FACE("ri-disappointed-face", '\ue6af'),
    DISC("ri-disc", '\ue7f5'),
    DOMAIN2("ri-domain2", '\ue73e'),
    DOWNLOAD("ri-download", '\ue682'),
    DREAMWEAVER("ri-dreamweaver", '\ue68b'),
    DRIBBBLE("ri-dribbble", '\ue638'),
    DROPBOX("ri-dropbox", '\ue7c6'),
    DRUPAL8("ri-drupal8", '\ue7ff'),
    DVD("ri-dvd", '\ue6f2'),
    EDIT("ri-edit", '\ue746'),
    EJECT("ri-eject", '\ue659'),
    EJECT_CIRCLE("ri-eject-circle", '\ue7b8'),
    ELLIPSIS("ri-ellipsis", '\ue774'),
    ENVELOPE("ri-envelope", '\ue714'),
    ENVELOPE_O("ri-envelope-o", '\ue713'),
    ETSY("ri-etsy", '\ue62e'),
    EVERNOTE("ri-evernote", '\ue642'),
    EXCEL("ri-excel", '\ue60a'),
    EXCHANGE("ri-exchange", '\ue601'),
    EXCLAMATION_CIRCLE("ri-exclamation-circle", '\ue7df'),
    EXPAND("ri-expand", '\ue72e'),
    EYE("ri-eye", '\ue686'),
    EYEDROPPER("ri-eyedropper", '\ue745'),
    FACEBOOK("ri-facebook", '\ue649'),
    FACEBOOK2("ri-facebook2", '\ue7a4'),
    FAHRENHEIT("ri-fahrenheit", '\ue6c1'),
    FAST_FORWARD("ri-fast-forward", '\ue657'),
    FAVORITES("ri-favorites", '\ue728'),
    FEEDLY("ri-feedly", '\ue6c6'),
    FILES("ri-files", '\ue6a8'),
    FILE_AI("ri-file-ai", '\ue619'),
    FILE_ASP("ri-file-asp", '\ue622'),
    FILE_AVI("ri-file-avi", '\ue612'),
    FILE_CSS("ri-file-css", '\ue61e'),
    FILE_DOCX("ri-file-docx", '\ue60f'),
    FILE_EPS("ri-file-eps", '\ue61a'),
    FILE_EXE("ri-file-exe", '\ue61d'),
    FILE_GIF("ri-file-gif", '\ue618'),
    FILE_HTML("ri-file-html", '\ue621'),
    FILE_JPG("ri-file-jpg", '\ue617'),
    FILE_JS("ri-file-js", '\ue61f'),
    FILE_MOV("ri-file-mov", '\ue614'),
    FILE_MP3("ri-file-mp3", '\ue610'),
    FILE_MP4("ri-file-mp4", '\ue613'),
    FILE_O("ri-file-o", '\ue709'),
    FILE_OTF("ri-file-otf", '\ue623'),
    FILE_PDF("ri-file-pdf", '\ue61b'),
    FILE_PHP("ri-file-php", '\ue620'),
    FILE_PNG("ri-file-png", '\ue615'),
    FILE_PSD("ri-file-psd", '\ue616'),
    FILE_RAR("ri-file-rar", '\ue625'),
    FILE_SQL("ri-file-sql", '\ue61c'),
    FILE_SVG("ri-file-svg", '\ue626'),
    FILE_TXT("ri-file-txt", '\ue627'),
    FILE_WAV("ri-file-wav", '\ue611'),
    FILE_ZIP("ri-file-zip", '\ue624'),
    FILM("ri-film", '\ue76b'),
    FINDER("ri-finder", '\ue7d7'),
    FIND_IN_PAGE("ri-find-in-page", '\ue65b'),
    FINGERPRINT("ri-fingerprint", '\ue701'),
    FIREFOX("ri-firefox", '\ue7ab'),
    FIREWORKS("ri-fireworks", '\ue68c'),
    FIRE_EXTINGUISHER("ri-fire-extinguisher", '\ue75a'),
    FLASHPLAYER("ri-flashplayer", '\ue636'),
    FLICKR("ri-flickr", '\ue63b'),
    FLIPBOARD("ri-flipboard", '\ue644'),
    FORWARD("ri-forward", '\ue656'),
    FORWARD_CIRCLE("ri-forward-circle", '\ue7b7'),
    FOURSQUARE("ri-foursquare", '\ue631'),
    FRAME("ri-frame", '\ue7f0'),
    FULLSCR("ri-fullscr", '\ue72c'),
    FULLSCR_ESC("ri-fullscr-esc", '\ue72d'),
    GEMINI("ri-gemini", '\ue6b6'),
    GITHUB("ri-github", '\ue637'),
    GITLAB("ri-gitlab", '\ue69f'),
    GLIDE("ri-glide", '\ue6a0'),
    GLOBE("ri-globe", '\ue6e4'),
    GLOBE_2("ri-globe-2", '\ue73d'),
    GMAIL("ri-gmail", '\ue7a5'),
    GO("ri-go", '\ue6df'),
    GO2("ri-go2", '\ue780'),
    GOOGLE("ri-google", '\ue79f'),
    GOOGLEPLUS("ri-googleplus", '\ue7a0'),
    GOOGLE_DRIVE("ri-google-drive", '\ue7ca'),
    GOOGLE_PLAY("ri-google-play", '\ue6fb'),
    GOOGLE_WD("ri-google-wd", '\ue69c'),
    GREEN_DOT("ri-green-dot", '\ue7f9'),
    GROUP("ri-group", '\ue7b1'),
    G_TRANSLATE("ri-g-translate", '\ue65c'),
    G_WALLET("ri-g-wallet", '\ue711'),
    HANGOUTS("ri-hangouts", '\ue7cb'),
    HD("ri-hd", '\ue65a'),
    HEADPHONES("ri-headphones", '\ue6d3'),
    HEART("ri-heart", '\ue777'),
    HEART_O("ri-heart-o", '\ue778'),
    HOME("ri-home", '\ue703'),
    HOME2("ri-home2", '\ue704'),
    HOOTSUITE("ri-hootsuite", '\ue69d'),
    HTML5("ri-html5", '\ue75e'),
    ICLOUD("ri-icloud", '\ue6ce'),
    ICQ("ri-icq", '\ue63a'),
    IE("ri-ie", '\ue7ac'),
    ILLUSTRATOR("ri-illustrator", '\ue688'),
    IMAGE("ri-image", '\ue7bd'),
    IMAGE_GALLERY("ri-image-gallery", '\ue7bb'),
    IMAGE_GALLERY2("ri-image-gallery2", '\ue7bc'),
    IMAGE_PORTRAIT("ri-image-portrait", '\ue7be'),
    IMPORT("ri-import", '\ue715'),
    INDESIGN("ri-indesign", '\ue68d'),
    INFINITY("ri-infinity", '\ue761'),
    INFO("ri-info", '\ue71f'),
    INFO_CIRCLE("ri-info-circle", '\ue71d'),
    INFO_CIRCLE2("ri-info-circle2", '\ue71e'),
    INSTAGRAM("ri-instagram", '\ue64e'),
    INT_ALPINE("ri-int-alpine", '\ue74f'),
    INT_BED("ri-int-bed", '\ue753'),
    INT_BUS("ri-int-bus", '\ue754'),
    INT_ELEVATOR("ri-int-elevator", '\ue751'),
    INT_FIRSTAID("ri-int-firstaid", '\ue759'),
    INT_FUEL("ri-int-fuel", '\ue758'),
    INT_GENTS("ri-int-gents", '\ue75d'),
    INT_GUARD("ri-int-guard", '\ue750'),
    INT_LADIES("ri-int-ladies", '\ue75c'),
    INT_LIGHTHOUSE("ri-int-lighthouse", '\ue75b'),
    INT_LITTER("ri-int-litter", '\ue752'),
    INT_LOCKER("ri-int-locker", '\ue74e'),
    INT_P("ri-int-p", '\ue757'),
    INT_PHONE("ri-int-phone", '\ue756'),
    INT_PLANE("ri-int-plane", '\ue755'),
    INT_SWIM("ri-int-swim", '\ue74d'),
    INT_TRAIN("ri-int-train", '\ue74c'),
    INT_WATER("ri-int-water", '\ue74b'),
    INT_WHEELCHAIR("ri-int-wheelchair", '\ue74a'),
    INV_SMILE("ri-inv-smile", '\ue6b2'),
    ISSUU("ri-issuu", '\ue630'),
    ITUNES("ri-itunes", '\ue7c4'),
    JOOMLA("ri-joomla", '\ue79d'),
    JQUERY("ri-jquery", '\ue7a8'),
    JSDELIVR("ri-jsdelivr", '\ue6c5'),
    JSFIDDLE("ri-jsfiddle", '\ue79e'),
    KEY("ri-key", '\ue67d'),
    KEYBOARD("ri-keyboard", '\ue718'),
    KIK("ri-kik", '\ue633'),
    LAPTOP("ri-laptop", '\ue7e1'),
    LASTFM("ri-lastfm", '\ue6f9'),
    LAUGHING_SMILING_EYES("ri-laughing-smiling-eyes", '\ue6ab'),
    LAUNCHPAD("ri-launchpad", '\ue76a'),
    LEO("ri-leo", '\ue6b8'),
    LIBRA("ri-libra", '\ue6ba'),
    LIBRARY("ri-library", '\ue6ff'),
    LIGHTNING("ri-lightning", '\ue6db'),
    LIGHTROOM("ri-lightroom", '\ue68e'),
    LINE("ri-line", '\ue6c9'),
    LINK("ri-link", '\ue673'),
    LINKEDIN("ri-linkedin", '\ue79a'),
    LINUX("ri-linux", '\ue7d2'),
    LOCK("ri-lock", '\ue667'),
    LOCK_OPEN("ri-lock-open", '\ue668'),
    LOGOUT("ri-logout", '\ue80c'),
    LONDON_TUBE("ri-london-tube", '\ue670'),
    MAIL_SEND("ri-mail-send", '\ue6de'),
    MAP("ri-map", '\ue80a'),
    MAP2("ri-map2", '\ue80b'),
    MAP_MARKER("ri-map-marker", '\ue671'),
    MARKETPLACE("ri-marketplace", '\ue699'),
    MAXCDN("ri-maxcdn", '\ue6cb'),
    MEDIUM("ri-medium", '\ue7fc'),
    MEDKIT("ri-medkit", '\ue7f4'),
    MEETUP("ri-meetup", '\ue6a2'),
    MENU("ri-menu", '\ue775'),
    MESSENGER("ri-messenger", '\ue7c1'),
    MIC("ri-mic", '\ue6d2'),
    MICROSOFT("ri-microsoft", '\ue60d'),
    MIXCLOUD("ri-mixcloud", '\ue7fe'),
    MODX("ri-modx", '\ue800'),
    MOON("ri-moon", '\ue6e5'),
    MOUSE("ri-mouse", '\ue6f8'),
    MOVIE_CLAPPER("ri-movie-clapper", '\ue6e7'),
    MSN("ri-msn", '\ue7c0'),
    MS_EDGE("ri-ms-edge", '\ue7a9'),
    MUSICALNOTE("ri-musicalnote", '\ue67e'),
    MYSPACE("ri-myspace", '\ue7cf'),
    NEWSPAPER("ri-newspaper", '\ue697'),
    NOENTRY("ri-noentry", '\ue76c'),
    NOTEPAD("ri-notepad", '\ue7f1'),
    NOTIFICATIONS("ri-notifications", '\ue6e0'),
    OFFICE("ri-office", '\ue60b'),
    OFFICE365("ri-office365", '\ue60c'),
    OK("ri-ok", '\ue799'),
    ONEDRIVE("ri-onedrive", '\ue6d5'),
    ONENOTE("ri-onenote", '\ue602'),
    OPERA("ri-opera", '\ue7ad'),
    OUTLOOK("ri-outlook", '\ue603'),
    PAGELINES("ri-pagelines", '\ue7a2'),
    PAINTBRUSH("ri-paintbrush", '\ue742'),
    PALETTE("ri-palette", '\ue6f7'),
    PARTLY_CLOUDY("ri-partly-cloudy", '\ue6d8'),
    PASTE("ri-paste", '\ue708'),
    PATH("ri-path", '\ue7fb'),
    PAUSE("ri-pause", '\ue654'),
    PAUSE_CIRCLE("ri-pause-circle", '\ue7b4'),
    PEACE("ri-peace", '\ue6a9'),
    PENCIL("ri-pencil", '\ue743'),
    PENCIL2("ri-pencil2", '\ue744'),
    PERSEVERING_FACE("ri-persevering-face", '\ue6b1'),
    PHONE("ri-phone", '\ue716'),
    PHONE_VOL("ri-phone-vol", '\ue6cf'),
    PHOTOSHOP("ri-photoshop", '\ue690'),
    PICASA("ri-picasa", '\ue640'),
    PIE("ri-pie", '\ue6c2'),
    PINTEREST("ri-pinterest", '\ue639'),
    PISCES("ri-pisces", '\ue6bf'),
    PLAY("ri-play", '\ue653'),
    PLAYSTATION("ri-playstation", '\ue69b'),
    PLAY_CIRCLE("ri-play-circle", '\ue7b3'),
    PLUS("ri-plus", '\ue807'),
    POCKET("ri-pocket", '\ue7cd'),
    POWERPOINT("ri-powerpoint", '\ue604'),
    PREMIERE("ri-premiere", '\ue68f'),
    PRINTER("ri-printer", '\ue70b'),
    PRODUCTHUNT("ri-producthunt", '\ue6a6'),
    PROJECT("ri-project", '\ue605'),
    PUBLISHER("ri-publisher", '\ue606'),
    QRCODE("ri-qrcode", '\ue773'),
    QROSS("ri-qross", '\ue6a5'),
    QUESTION("ri-question", '\ue70c'),
    QUOTES1("ri-quotes1", '\ue685'),
    QWANT("ri-qwant", '\ue802'),
    RADIO("ri-radio", '\ue717'),
    RADIOACTIVE("ri-radioactive", '\ue680'),
    RAINY("ri-rainy", '\ue6da'),
    RECYCLE("ri-recycle", '\ue6cd'),
    RECYCLE_O("ri-recycle-o", '\ue762'),
    REDDIT("ri-reddit", '\ue7a1'),
    REFRESH("ri-refresh", '\ue766'),
    REGISTERED("ri-registered", '\ue702'),
    REMOVE("ri-remove", '\ue740'),
    RESPONSIVE("ri-responsive", '\ue7e5'),
    RSS("ri-rss", '\ue769'),
    SA("ri-sa", '\ue749'),
    SAFARI("ri-safari", '\ue7ae'),
    SAGITTARIUS("ri-sagittarius", '\ue6bc'),
    SAVE("ri-save", '\ue70a'),
    SCIENCE("ri-science", '\ue6fe'),
    SCOOPIT("ri-scoopit", '\ue63c'),
    SCORPIO("ri-scorpio", '\ue6bb'),
    SCRIBD("ri-scribd", '\ue6fd'),
    SD_CARD("ri-sd-card", '\ue72b'),
    SEARCH("ri-search", '\ue763'),
    SELECT("ri-select", '\ue6e1'),
    SELECT_CELLS("ri-select-cells", '\ue66f'),
    SELECT_CIRCLE("ri-select-circle", '\ue797'),
    SHAPES("ri-shapes", '\ue6e3'),
    SHARE("ri-share", '\ue803'),
    SHARE2("ri-share2", '\ue804'),
    SHAREPOINT("ri-sharepoint", '\ue607'),
    SHARING("ri-sharing", '\ue73f'),
    SHOPPINGBAG("ri-shoppingbag", '\ue719'),
    SHRINK("ri-shrink", '\ue72f'),
    SHUT_DOWN("ri-shut-down", '\ue7f3'),
    SIGNAL_0("ri-signal-0", '\ue722'),
    SIGNAL_1("ri-signal-1", '\ue723'),
    SIGNAL_2("ri-signal-2", '\ue724'),
    SIGNAL_3("ri-signal-3", '\ue725'),
    SIGNAL_4("ri-signal-4", '\ue726'),
    SIGNAL_5("ri-signal-5", '\ue727'),
    SIGN_IN("ri-sign-in", '\ue805'),
    SIGN_OUT("ri-sign-out", '\ue806'),
    SITEMAP("ri-sitemap", '\ue7f6'),
    SKYPE("ri-skype", '\ue7c5'),
    SLACK("ri-slack", '\ue6a7'),
    SMARTPHONE("ri-smartphone", '\ue7e3'),
    SMILING_EYES("ri-smiling-eyes", '\ue6aa'),
    SMILING_HEART_EYES("ri-smiling-heart-eyes", '\ue6ad'),
    SMIRKING_FACE("ri-smirking-face", '\ue6ae'),
    SNAPCHAT("ri-snapchat", '\ue6a3'),
    SNOWFLAKE("ri-snowflake", '\ue6dd'),
    SNOWY("ri-snowy", '\ue6dc'),
    SOUNDCLOUD("ri-soundcloud", '\ue7d0'),
    SPINNER("ri-spinner", '\ue764'),
    SPINNER3("ri-spinner3", '\ue767'),
    SPOTIFY("ri-spotify", '\ue7c9'),
    SQUARE("ri-square", '\ue7da'),
    SQUARE_BULLET("ri-square-bullet", '\ue6e9'),
    SQUARE_BULLET2("ri-square-bullet2", '\ue6ed'),
    SQUARE_CALC("ri-square-calc", '\ue776'),
    SQUARE_DIVIDE("ri-square-divide", '\ue790'),
    SQUARE_MINUS("ri-square-minus", '\ue78e'),
    SQUARE_MULTI("ri-square-multi", '\ue78f'),
    SQUARE_PLUS("ri-square-plus", '\ue78d'),
    SQUARE_SUM("ri-square-sum", '\ue791'),
    STACKEXCHANGE("ri-stackexchange", '\ue69e'),
    STACKOVERFLOW("ri-stackoverflow", '\ue62d'),
    START_CHAT("ri-start-chat", '\ue712'),
    STAR_E("ri-star-e", '\ue6ef'),
    STAR_SMALL("ri-star-small", '\ue6f5'),
    STEP_FORWARD("ri-step-forward", '\ue658'),
    STOP("ri-stop", '\ue655'),
    STOPWATCH("ri-stopwatch", '\ue678'),
    STOP_CIRCLE("ri-stop-circle", '\ue7b5'),
    STOP_SIGN("ri-stop-sign", '\ue6e6'),
    STREET_VIEW("ri-street-view", '\ue672'),
    STUMBLEUPON("ri-stumbleupon", '\ue647'),
    SUBWAY("ri-subway", '\ue7ed'),
    SUITCASE("ri-suitcase", '\ue700'),
    SUNNY("ri-sunny", '\ue6d7'),
    SURFACE("ri-surface", '\ue7e4'),
    SURVEILLANCE_CAM("ri-surveillance-cam", '\ue6d1'),
    SWAY("ri-sway", '\ue608'),
    TABLE("ri-table", '\ue66e'),
    TABLET("ri-tablet", '\ue7e2'),
    TARGET("ri-target", '\ue6f6'),
    TAURUS("ri-taurus", '\ue6b5'),
    TERMINAL("ri-terminal", '\ue72a'),
    THUMBS_UP("ri-thumbs-up", '\ue675'),
    TOGGLE_OFF("ri-toggle-off", '\ue721'),
    TOGGLE_ON("ri-toggle-on", '\ue720'),
    TRAFFIC_CONE("ri-traffic-cone", '\ue66b'),
    TRAIN("ri-train", '\ue7ec'),
    TRAM("ri-tram", '\ue7ee'),
    TRIPADVISOR("ri-tripadvisor", '\ue7c8'),
    TUMBLR("ri-tumblr", '\ue641'),
    TVG("ri-tvg", '\ue7e9'),
    TWITTER("ri-twitter", '\ue64a'),
    UNAMUSED_FACE("ri-unamused-face", '\ue6b0'),
    UNIVERSAL_ACCESS("ri-universal-access", '\ue7e6'),
    UPLOAD("ri-upload", '\ue681'),
    USB("ri-usb", '\ue693'),
    USB_DRIVE("ri-usb-drive", '\ue694'),
    USER("ri-user", '\ue7af'),
    USER_PLUS("ri-user-plus", '\ue7b2'),
    VIBER("ri-viber", '\ue7c3'),
    VIMEO("ri-vimeo", '\ue7d4'),
    VINE("ri-vine", '\ue6a4'),
    VIRGO("ri-virgo", '\ue6b9'),
    VISUAL_STUDIO("ri-visual-studio", '\ue60e'),
    VIVALDI("ri-vivaldi", '\ue801'),
    VKONTAKTE("ri-vkontakte", '\ue64d'),
    VLC("ri-vlc", '\ue7a7'),
    VOLUME_DOWN("ri-volume-down", '\ue650'),
    VOLUME_MUTE("ri-volume-mute", '\ue64f'),
    VOLUME_OFF("ri-volume-off", '\ue652'),
    VOLUME_UP("ri-volume-up", '\ue651'),
    W3SCHOOLS("ri-w3schools", '\ue7bf'),
    WARNING_SIGN("ri-warning-sign", '\ue7de'),
    WECHAT("ri-wechat", '\ue6c8'),
    WEEBLY("ri-weebly", '\ue6c7'),
    WEIBO("ri-weibo", '\ue7a3'),
    WHATSAPP("ri-whatsapp", '\ue7c2'),
    WIFI("ri-wifi", '\ue692'),
    WINDOWS8("ri-windows8", '\ue7d5'),
    WINE_BOTTLE("ri-wine-bottle", '\ue7e8'),
    WINKING_FACE("ri-winking-face", '\ue6ac'),
    WIX("ri-wix", '\ue6a1'),
    WORD("ri-word", '\ue609'),
    WORDPRESS("ri-wordpress", '\ue79c'),
    WP_ARROW("ri-wp-arrow", '\ue733'),
    WP_COG("ri-wp-cog", '\ue76f'),
    WP_COG_O("ri-wp-cog-o", '\ue76e'),
    XBOX("ri-xbox", '\ue69a'),
    XING("ri-xing", '\ue7fd'),
    YAHOO("ri-yahoo", '\ue63e'),
    YELP("ri-yelp", '\ue632'),
    YIN_YANG("ri-yin-yang", '\ue67f'),
    YOUTUBE("ri-youtube", '\ue646'),
    YOUTUBE2("ri-youtube2", '\ue7ce'),
    ZOOM_IN("ri-zoom-in", '\ue7f7'),
    ZOOM_OUT("ri-zoom-out", '\ue7f8'),
    ZURB("ri-zurb", '\ue62f');

    public static Runestroicons findByDescription(String description) {
        for (Runestroicons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Runestroicons(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}